Package com.mckoi.database

## Class SimpleRowEnumeration

- java.lang.Object
- - com.mckoi.database.SimpleRowEnumeration

All Implemented Interfaces:
  `RowEnumeration`

    public final class SimpleRowEnumeration
    extends java.lang.Object
    implements RowEnumeration

A RowEnumeration implementation that represents a sequence of rows that can be referenced in incremental order between 0 and row_count (exclusive). A Table that returns a SimpleRowEnumeration is guarenteed to provide valid TObject values via the 'getCellContents' method between rows 0 and getRowCount().

Author:
  Tobias Downer

### Constructor Summary

Constructors
`SimpleRowEnumeration​(int row_count)` Constructs the RowEnumeration.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasMoreRows()` Determines if there are any rows left in the enumeration.
`int` `nextRowIndex()` Returns the next row index from the enumeration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleRowEnumeration

    public SimpleRowEnumeration​(int row_count)

Constructs the RowEnumeration.

### Method Detail

#### hasMoreRows

    public final boolean hasMoreRows()

Description copied from interface: `RowEnumeration`
Determines if there are any rows left in the enumeration.

Specified by:
  `hasMoreRows` in interface `RowEnumeration`

#### nextRowIndex

    public final int nextRowIndex()

Description copied from interface: `RowEnumeration`
Returns the next row index from the enumeration.

Specified by:
  `nextRowIndex` in interface `RowEnumeration`